> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/audits-core.md).

# Audits (Core)

Auditing helps determine who did what when.

## List audits

> This part of the API is deprecated. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Auditing helps determine who did what when.","name":"Audits (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AuditsResult":{"properties":{"audits":{"description":"The audits that match the filter criteria","items":{"$ref":"#/components/schemas/Audit"},"type":"array"},"total":{"description":"The total number of audits that match the filter criteria","minimum":0,"type":"number"}},"required":["audits","total"],"title":"AuditsResult","type":"object","description":"AuditsResult"},"Audit":{"properties":{"actor":{"$ref":"#/components/schemas/AuditActor"},"anonymizationDate":{"format":"date-time","type":"string"},"client":{"$ref":"#/components/schemas/AuditClient"},"created":{"description":"Creation date of the entity, auto-generated if not provided","format":"date-time","type":"string"},"deletionDate":{"format":"date-time","type":"string"},"entityCreated":{"format":"date-time","type":"string"},"entityRef":{"type":"string"},"entityType":{"enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB"],"type":"string"},"entityVersion":{"type":"number"},"eventId":{"type":"string"},"globalActor":{"$ref":"#/components/schemas/AuditActor"},"id":{"type":"string"},"isAnonymized":{"type":"boolean"},"lastModified":{"description":"Service-generated last modification date of the entity","format":"date-time","type":"string"},"operation":{"$ref":"#/components/schemas/AuditOperation"},"trace":{"type":"string"},"version":{"description":"The version of the entity, used for optimistic locking mechanisms","type":"number"}},"required":["id","eventId","entityRef","entityType","entityVersion","isAnonymized","entityCreated","deletionDate","anonymizationDate","trace","actor","globalActor","client","operation","version"],"title":"Audit","type":"object","description":"Audit"},"AuditActor":{"properties":{"details":{"$ref":"#/components/schemas/AuditActorDetails"},"id":{"type":"string"}},"required":["id","details"],"title":"AuditActor","type":"object","description":"AuditActor"},"AuditActorDetails":{"properties":{"topic":{"type":"string"},"username":{"type":"string"}},"required":["topic","username"],"title":"AuditActorDetails","type":"object","description":"AuditActorDetails"},"AuditClient":{"properties":{"api":{"type":"string"},"rawInfo":{"type":"string"}},"required":["api","rawInfo"],"title":"AuditClient","type":"object","description":"AuditClient"},"AuditOperation":{"properties":{"name":{"type":"string"},"start":{"format":"date-time","type":"string"}},"required":["name","start"],"title":"AuditOperation","type":"object","description":"AuditOperation"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/audits":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />","operationId":"getAudits","parameters":[{"in":"query","name":"size","required":false,"schema":{"type":"number"}},{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"in":"query","name":"entityRef","required":false,"schema":{"type":"string"}},{"explode":false,"in":"query","name":"entityType","required":false,"schema":{"enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB"],"type":"string"}},{"in":"query","name":"trace","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditsResult"}}},"description":"Paginated result containing the matching Audit entities"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List audits","tags":["Audits (Core)"]}}}}
```

## List audits (search)

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Search for Audit

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Auditing helps determine who did what when.","name":"Audits (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AuditSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/AuditSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/AuditSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"AuditSearchPayload","type":"object","description":"AuditSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"AuditSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/AuditSearchQuery"},"maxItems":500,"type":"array"},"entityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by entityRef"},"entityType":{"allOf":[{"$ref":"#/components/schemas/AuditedEntityTypeEnumFilter"}],"description":"Search by entityType"},"or":{"items":{"$ref":"#/components/schemas/AuditSearchQuery"},"maxItems":500,"type":"array"},"trace":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by trace"}},"title":"AuditSearchQuery","type":"object","description":"AuditSearchQuery"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"AuditedEntityTypeEnumFilter":{"properties":{"eq":{"description":"Search by entityType","enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB"],"type":"string"},"in":{"description":"Search by entityType","items":{"enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by entityType","enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB"],"type":"string"}},"title":"AuditedEntityTypeEnumFilter","type":"object","description":"AuditedEntityTypeEnumFilter"},"AuditSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"}},"title":"AuditSort","type":"object","description":"AuditSort"},"AuditPaginatedResult":{"properties":{"audits":{"items":{"$ref":"#/components/schemas/Audit"},"type":"array"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","audits"],"title":"AuditPaginatedResult","type":"object","description":"AuditPaginatedResult"},"Audit":{"properties":{"actor":{"$ref":"#/components/schemas/AuditActor"},"anonymizationDate":{"format":"date-time","type":"string"},"client":{"$ref":"#/components/schemas/AuditClient"},"created":{"description":"Creation date of the entity, auto-generated if not provided","format":"date-time","type":"string"},"deletionDate":{"format":"date-time","type":"string"},"entityCreated":{"format":"date-time","type":"string"},"entityRef":{"type":"string"},"entityType":{"enum":["PACK_JOB","PICK_JOB","PICK_RUN","HANDOVER_JOB","SHIPMENT","PARCEL","CUSTOM_SERVICE","SERVICE_JOB","LINKED_SERVICE_JOBS","ORDER","ROUTING_PLAN","FACILITY","FACILITY_GROUP","FACILITY_CARRIER_CONNECTION","FACILITY_CUSTOM_SERVICE","ROUTING_STRATEGY","STOW_JOB"],"type":"string"},"entityVersion":{"type":"number"},"eventId":{"type":"string"},"globalActor":{"$ref":"#/components/schemas/AuditActor"},"id":{"type":"string"},"isAnonymized":{"type":"boolean"},"lastModified":{"description":"Service-generated last modification date of the entity","format":"date-time","type":"string"},"operation":{"$ref":"#/components/schemas/AuditOperation"},"trace":{"type":"string"},"version":{"description":"The version of the entity, used for optimistic locking mechanisms","type":"number"}},"required":["id","eventId","entityRef","entityType","entityVersion","isAnonymized","entityCreated","deletionDate","anonymizationDate","trace","actor","globalActor","client","operation","version"],"title":"Audit","type":"object","description":"Audit"},"AuditActor":{"properties":{"details":{"$ref":"#/components/schemas/AuditActorDetails"},"id":{"type":"string"}},"required":["id","details"],"title":"AuditActor","type":"object","description":"AuditActor"},"AuditActorDetails":{"properties":{"topic":{"type":"string"},"username":{"type":"string"}},"required":["topic","username"],"title":"AuditActorDetails","type":"object","description":"AuditActorDetails"},"AuditClient":{"properties":{"api":{"type":"string"},"rawInfo":{"type":"string"}},"required":["api","rawInfo"],"title":"AuditClient","type":"object","description":"AuditClient"},"AuditOperation":{"properties":{"name":{"type":"string"},"start":{"format":"date-time","type":"string"}},"required":["name","start"],"title":"AuditOperation","type":"object","description":"AuditOperation"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/audits/search":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Search for Audit","operationId":"searchAudit","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuditPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List audits (search)","tags":["Audits (Core)"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/audits-core.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
